Bug 788717 - Review Request: lv2-ir - An LV2 impulse response reverb plugin
Review Request: lv2-ir - An LV2 impulse response reverb plugin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 784605
Blocks: FedoraAudio 1374510
  Show dependency treegraph
 
Reported: 2012-02-08 16:35 EST by Brendan Jones
Modified: 2016-09-13 17:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:29:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-02-08 16:35:47 EST
LV2 is a standard for plugins and matching host applications, mainly
targeted at audio processing and generation.

lv2-ir is a no-latency/low-latency, realtime, high performance signal convolver especially for creating reverb effects. Supports impulse responses with 1, 2 or 4 channels, in any soundfile format supported by libsndfile.

SPEC: http://bsjones.fedorapeople.org/lv2/lv2-ir.spec
SRPM: http://bsjones.fedorapeople.org/lv2/lv2-ir-1.3.1-1.fc16.src.rpm

lv2-ir has a dependency on another review, lv2-instance-access (bug 784605)
Comment 1 Guido Aulisi 2012-05-02 15:58:54 EDT
From zita convolver README:

6. The Convproc::start_process() function.

As is version 2.0 this call takes two arguments, a thread
priority and a thread scheduling class. In 2.0 the second
defaulted to SCHED_FIFO. In version 3.0 you have to supply
both arguments. If you are using a Convproc in 'batch mode'
(see above) just use zero for both. In all other cases, the
priority and scheduling class values _must_ be those of the
thread that will be calling Convproc::process(), and the
scheduling class _must_ be a real-time one (FIFO or RR). 
If this is not observed things may appear to work but will
fail sooner or later.

This is why I patched lv2-ir the way described in https://bugzilla.redhat.com/show_bug.cgi?id=814915
Comment 3 Brendan Jones 2012-05-16 09:20:15 EDT
This will most likely undergo a package name change
Comment 4 Fedora End Of Life 2013-01-16 11:07:16 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 14:29:41 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.